Page MenuHomePhabricator

Additional User Groups on Punjabi Wikipedia and sister projects
Closed, ResolvedPublic

Description

The community has agreed to have more user groups on Punjabi Wikipedia such as Autopatroller, Importer, Patroller etc.

Here is the community Support: https://pa.wikipedia.org/wiki/%E0%A8%B5%E0%A8%BF%E0%A8%95%E0%A9%80%E0%A8%AA%E0%A9%80%E0%A8%A1%E0%A9%80%E0%A8%86:%E0%A8%B8%E0%A9%B1%E0%A8%A5#User_Groups_.28Autopatroller.2C_Patrollers.2C_Importers_etc..29

Event Timeline

satdeep_gill raised the priority of this task from to Needs Triage.
satdeep_gill updated the task description. (Show Details)
satdeep_gill added a subscriber: satdeep_gill.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 4 2015, 2:20 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 4 2015, 9:32 PM

Do i need to file again ?

Luke081515 added a subscriber: Luke081515.EditedDec 7 2015, 11:45 AM

No, but "etc." is not useful, so please make a list here, with which group, which name, and which rights your community wants. Thanks!

(I guess the majority don't want to spend time to 1) unterstand your language and 2) find the exact wanted configuration, so please explain the config change request exact and precise)

So, right now we need the following user groups:

  1. Autopatroller
  2. Patroller
  3. Importer

Ok, but you need to add the requested rights, for example importer can have "import", or "importupload", this is a big difference.

Okay, I write once again:

  1. Autopatroller
  2. Patroller
  3. Importer (transwiki importer)
Luke081515 claimed this task.EditedDec 9 2015, 1:18 PM

So do you want:

  1. Autpatroler (autopatrol)
  2. Patroller (patrol)
  3. Importer (import)? ok

(Created T120936 for portal namespace)

Luke081515 triaged this task as Medium priority.Dec 9 2015, 1:18 PM

Your description is not complete: If I would upload the current setting, you wanted, you have to ask a steward, if you want to add or remove users to this group. I guess sysops should add and remove users from that groups?

I agree with Luke081515:

Give the permission to add and remove users from these user groups to sysops.

Change 257881 had a related patch set uploaded (by Luke081515):
Add three new groups to pawiki, and allow sysops to add or remove users to them

https://gerrit.wikimedia.org/r/257881

Change 257881 merged by jenkins-bot:
Add three new groups to pawiki, and allow sysops to add or remove users to them

https://gerrit.wikimedia.org/r/257881

Luke081515 closed this task as Resolved.Dec 10 2015, 4:34 PM
Luke081515 removed a project: Patch-For-Review.

Deployed via SWAT, works now.

I saw that you wrote at the title and at the page at pawiki, you want these rights at all Punjabi projects. The rules require community decisions at all of these projects, so you got this change for pawiki now, for the others, we need a seperate change.

Thanks a lot ... :)